/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import umgnotas.eis.dao.*;
import umgnotas.eis.factory.*;
import umgnotas.eis.exceptions.*;
import java.io.Serializable;
import java.util.*;

public class TbUsuario implements Serializable
{
	/** 
	 * This attribute maps to the column usu_codigo in the tb_usuario table.
	 */
	protected String usuCodigo;

	/** 
	 * This attribute maps to the column usu_nombre in the tb_usuario table.
	 */
	protected String usuNombre;

	/** 
	 * This attribute maps to the column usu_apellido in the tb_usuario table.
	 */
	protected String usuApellido;

	/** 
	 * This attribute maps to the column usu_password in the tb_usuario table.
	 */
	protected String usuPassword;

	/** 
	 * This attribute maps to the column usu_rol in the tb_usuario table.
	 */
	protected String usuRol;

	/** 
	 * This attribute maps to the column usu_sed_codigo in the tb_usuario table.
	 */
	protected Integer usuSedCodigo;

	/**
	 * Method 'TbUsuario'
	 * 
	 */
	public TbUsuario()
	{
	}

	/**
	 * Method 'getUsuCodigo'
	 * 
	 * @return String
	 */
	public String getUsuCodigo()
	{
		return usuCodigo;
	}

	/**
	 * Method 'setUsuCodigo'
	 * 
	 * @param usuCodigo
	 */
	public void setUsuCodigo(String usuCodigo)
	{
		this.usuCodigo = usuCodigo;
	}

	/**
	 * Method 'getUsuNombre'
	 * 
	 * @return String
	 */
	public String getUsuNombre()
	{
		return usuNombre;
	}

	/**
	 * Method 'setUsuNombre'
	 * 
	 * @param usuNombre
	 */
	public void setUsuNombre(String usuNombre)
	{
		this.usuNombre = usuNombre;
	}

	/**
	 * Method 'getUsuApellido'
	 * 
	 * @return String
	 */
	public String getUsuApellido()
	{
		return usuApellido;
	}

	/**
	 * Method 'setUsuApellido'
	 * 
	 * @param usuApellido
	 */
	public void setUsuApellido(String usuApellido)
	{
		this.usuApellido = usuApellido;
	}

	/**
	 * Method 'getUsuPassword'
	 * 
	 * @return String
	 */
	public String getUsuPassword()
	{
		return usuPassword;
	}

	/**
	 * Method 'setUsuPassword'
	 * 
	 * @param usuPassword
	 */
	public void setUsuPassword(String usuPassword)
	{
		this.usuPassword = usuPassword;
	}

	/**
	 * Method 'getUsuRol'
	 * 
	 * @return String
	 */
	public String getUsuRol()
	{
		return usuRol;
	}

	/**
	 * Method 'setUsuRol'
	 * 
	 * @param usuRol
	 */
	public void setUsuRol(String usuRol)
	{
		this.usuRol = usuRol;
	}

	/**
	 * Method 'getUsuSedCodigo'
	 * 
	 * @return Integer
	 */
	public Integer getUsuSedCodigo()
	{
		return usuSedCodigo;
	}

	/**
	 * Method 'setUsuSedCodigo'
	 * 
	 * @param usuSedCodigo
	 */
	public void setUsuSedCodigo(Integer usuSedCodigo)
	{
		this.usuSedCodigo = usuSedCodigo;
	}

	/**
	 * Method 'equals'
	 * 
	 * @param _other
	 * @return boolean
	 */
	public boolean equals(Object _other)
	{
		if (_other == null) {
			return false;
		}
		
		if (_other == this) {
			return true;
		}
		
		if (!(_other instanceof TbUsuario)) {
			return false;
		}
		
		final TbUsuario _cast = (TbUsuario) _other;
		if (usuCodigo == null ? _cast.usuCodigo != usuCodigo : !usuCodigo.equals( _cast.usuCodigo )) {
			return false;
		}
		
		if (usuNombre == null ? _cast.usuNombre != usuNombre : !usuNombre.equals( _cast.usuNombre )) {
			return false;
		}
		
		if (usuApellido == null ? _cast.usuApellido != usuApellido : !usuApellido.equals( _cast.usuApellido )) {
			return false;
		}
		
		if (usuPassword == null ? _cast.usuPassword != usuPassword : !usuPassword.equals( _cast.usuPassword )) {
			return false;
		}
		
		if (usuRol == null ? _cast.usuRol != usuRol : !usuRol.equals( _cast.usuRol )) {
			return false;
		}
		
		if (usuSedCodigo == null ? _cast.usuSedCodigo != usuSedCodigo : !usuSedCodigo.equals( _cast.usuSedCodigo )) {
			return false;
		}
		
		return true;
	}

	/**
	 * Method 'hashCode'
	 * 
	 * @return int
	 */
	public int hashCode()
	{
		int _hashCode = 0;
		if (usuCodigo != null) {
			_hashCode = 29 * _hashCode + usuCodigo.hashCode();
		}
		
		if (usuNombre != null) {
			_hashCode = 29 * _hashCode + usuNombre.hashCode();
		}
		
		if (usuApellido != null) {
			_hashCode = 29 * _hashCode + usuApellido.hashCode();
		}
		
		if (usuPassword != null) {
			_hashCode = 29 * _hashCode + usuPassword.hashCode();
		}
		
		if (usuRol != null) {
			_hashCode = 29 * _hashCode + usuRol.hashCode();
		}
		
		if (usuSedCodigo != null) {
			_hashCode = 29 * _hashCode + usuSedCodigo.hashCode();
		}
		
		return _hashCode;
	}

	/**
	 * Method 'createPk'
	 * 
	 * @return TbUsuarioPk
	 */
	public TbUsuarioPk createPk()
	{
		return new TbUsuarioPk(usuCodigo);
	}

	/**
	 * Method 'toString'
	 * 
	 * @return String
	 */
	public String toString()
	{
		StringBuffer ret = new StringBuffer();
		ret.append( "umgnotas.eis.dto.TbUsuario: " );
		ret.append( "usuCodigo=" + usuCodigo );
		ret.append( ", usuNombre=" + usuNombre );
		ret.append( ", usuApellido=" + usuApellido );
		ret.append( ", usuPassword=" + usuPassword );
		ret.append( ", usuRol=" + usuRol );
		ret.append( ", usuSedCodigo=" + usuSedCodigo );
		return ret.toString();
	}

}
